#
# Conditional build:
%bcond_with	tests # do not perform "make test"
#
%define		pdir	Test
%define		pnam	Fatal
Summary:	Test::Fatal - incredibly simple helpers for testing code with exceptions
Summary(pl.UTF-8):	Test::Fatal - bardzo proste funkcje pomocnicze do kodu testującego z wyjątkami
Name:		perl-Test-Fatal
Version:	0.016
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	da5d864c04a60e71de9ae51b318562fd
URL:		https://metacpan.org/release/Test-Fatal
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.31
BuildRequires:	perl-devel >= 1:5.8.7
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl-Test-Simple >= 0.96
BuildRequires:	perl-Try-Tiny >= 0.07
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Fatal is an alternative to the popular Test::Exception. It does
much less, but should allow greater flexibility in testing
exception-throwing code with about the same amount of typing.

%description -l pl.UTF-8
Test::Fatal to alternatywa dla popularnego Test::Exception. Ten moduł
robi znacznie mniej, ale powinien pozwalać na większą elastyczność
przy testowaniu kodu rzucającego wyjątki przy mniej więcej tej samej
ilości napisanego kodu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/Fatal.pm
%{_mandir}/man3/Test::Fatal.3pm*
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Test-Fatal.git;a=log;h=master

* Tue Oct 06 2020 Jakub Bogusz <qboosh@pld-linux.org> fb86bb9
- updated to 0.016

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 3f328d9
- macros for perl autodeps

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 1e5e17a
- drop obsolete and outdated manual inclusion of rpm macros

* Fri Jan 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 9dc4978
- updated to 0.014

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 462eba8
- updated to 0.010

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 193f151
- up to 0.008

* Tue Mar 01 2011 Jakub Bogusz <qboosh@pld-linux.org> bfaac5a
- real description
- pl
- completed BRs
- fixed files

* Fri Feb 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ef2e573
- initial

